# -*- coding: utf-8 -*-

from rest_framework import generics
from rest_framework.permissions import AllowAny

from thux.api.views import QuerysetMixin
from thux.api.permissions import ThuxModelPermissions

from ... import models
from . import serializers


class ContactCreate(generics.CreateAPIView):
    permission_classes = (AllowAny,)
    queryset = models.Contact.objects.all()
    serializer_class = serializers.ContactSerializerCreate
